import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.SwingUtilities;
import javax.swing.filechooser.*;

/**
 *Clase principal, genera la ventana que contendrá la aplicación.
 * @author Daniel Velasquez, Victor Elizondo
 */
public class ImageConverter{

/**
    *Crea y setea la ventana a mostrar, luego la hace visible.
*/ 
    private static void createAndShowGUI() {
        JFrame frame = new ConverterFrame();
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);
    }

/**
    *Método principal invoca createAndShowGUI().
*/ 
    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                //Turn off metal's use of bold fonts
                UIManager.put("swing.boldMetal", Boolean.FALSE);
                createAndShowGUI();
            }
        });
    }

}

/**
 *Clase interna, genera el frame que contendrá la aplicación.
 * La aplicación tendrá un tamaño fijo.
 * @author Daniel Velasquez, Victor Elizondo
 */
class ConverterFrame extends JFrame {

/**Constructor que crea el frame que contendrá a la aplicación, setea el título de la ventana, 
 * sus dimensiones y el panel que alojará.
 */
    public ConverterFrame() {
      setTitle("Conversor de Imágenes v1.0");
      setSize(DEFAULT_WIDTH, DEFAULT_HEIGHT);
      setResizable(false);
      JPanel panel = new FileChooserDemo2();
      Container contentPane = getContentPane();
      contentPane.add(panel);
    }
    public final int DEFAULT_WIDTH = 400;
    public final int DEFAULT_HEIGHT =300;

}